LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSpreadsheetView Interface Referencepublished

is the main interface of a SpreadsheetView. More...

`import"XSpreadsheetView.idl";`

Inheritance diagram for XSpreadsheetView:

## Public Member Functions
com::sun::star::sheet::XSpreadsheet | getActiveSheet ()
| returns the sheet that is shown in the view. More...
void | setActiveSheet ([in] com::sun::star::sheet::XSpreadsheet xActiveSheet)
| sets the sheet that is shown in the view. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the main interface of a SpreadsheetView.

It manages the active sheet within this view.

## Member Function Documentation

## ◆ getActiveSheet()

com::sun::star::sheet::XSpreadsheet getActiveSheet | ( |  | ) |

returns the sheet that is shown in the view.

## ◆ setActiveSheet()

void setActiveSheet | ( | [in] com::sun::star::sheet::XSpreadsheet | xActiveSheet | ) |

sets the sheet that is shown in the view.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSpreadsheetView.idl